#  A mud client for
#  Dawn of the Ages  http://dawn.rplay.net
#
#  Copyright (C) 2001,2002 Peter Herth <p.herth@uni-koeln.de>
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# maleffects

a=Affect("torso critical", fcolor(GREEN,bold=1)+"*Tor*"+CLR,
                      "breast_injury",
                      ".* damages your torso.",
         "After all the burning ache in your thorax subsides.");affects[a.name]=a

a=Affect("stomach critical", fcolor(GREEN,bold=1)+"*Sto*"+CLR,
                      "stomach_injury",
                      ".* tears your stomach open.",
                      "Finally the aching bleed vanishes.");affects[a.name]=a

a=Affect("weapon arm critical", fcolor(GREEN,bold=1)+"*WAr*"+CLR,
                      "weapon_arm_injury",
                      ".* cripples your weapon arm.",
                      "At last you can handle your weapon again.");affects[a.name]=a

a=Affect("shield arm critical", fcolor(GREEN,bold=1)+"*SAr*"+CLR,
                      "shield_arm_injury",
                      "Blood splatters over your shielding arm.",
                      "At last you are able to lift your shieldarm again.");affects[a.name]=a

a=Affect("left leg critical", fcolor(GREEN,bold=1)+"*LLe*"+CLR,
                      "left_leg_injury",
                      ".* critically hits your left leg.",
                      "Your left foot responds to your commands again.");affects[a.name]=a

a=Affect("right leg critical", fcolor(GREEN,bold=1)+"*RLe*"+CLR,
                      "right_leg_injury",
                      "You are starting to limp due to .* strike.",
                      "Your right foot responds to your commands again.");affects[a.name]=a

a=Affect("flash", fcolor(GREEN,bold=1)+"*FLA*"+CLR,
                      "flash",
                      "Suddenly a flash of light dazzles you!",
                      "The dazzling affect wears off.");affects[a.name]=a

a=Affect("poison", fcolor(GREEN,bold=1)+"*POI*"+CLR,
                      "poison",
                      "You have been poisoned.",
                      "The poisonous burn in your veins has ended.");affects[a.name]=a

a=Affect("drowsy", fcolor(GREEN,bold=1)+"*DRW*"+CLR,
                      "drowsy",
                      "The .* prooves a little bit strong.",
                      "You feel less drowsy.");affects[a.name]=a

a=Affect("high", fcolor(GREEN,bold=1)+"*HIG*"+CLR,
                      "high",
                      "Just look at all those nice colors. Ain't that pink bunnies over there?",
                      "The world looks normal again, somehow grey.");affects[a.name]=a

a=Affect("coma", fcolor(GREEN,bold=1)+"*COM*"+CLR,
                      "coma",
                      "The .* prooves too strong for you.",
                      "You awake from your coma.");affects[a.name]=a

a=Affect("fire breath", fcolor(GREEN,bold=1)+"*FBr*"+CLR,
                      "fire breath",
                      "The cloud of heavy fire rains over your .*",
                      "You can see again.");affects[a.name]=a

a=Affect("silenced", fcolor(GREEN,bold=1)+"*SIL*"+CLR,
                      "silence",
                      "The magical flow arround you has been altered!",
                      "The magical flow arround you returns to normal again.");affects[a.name]=a

a=Affect("blindness", fcolor(GREEN,bold=1)+"*BLI*"+CLR,
                      "blindness",
                      "You have been magically blinded!",
                      "The blinding spell affect wears off.");affects[a.name]=a

a=Affect("faerie fire", fcolor(GREEN,bold=1)+"*FFi*"+CLR,
                      "faerie fire",
                      "An outline of pinkish color marks you as target",
                      "The pink fires around your body have vanished.");affects[a.name]=a

a=Affect("create golem", fcolor(GREEN,bold=1)+"(Gol)"+CLR,
                      "create golem",
                      "Finally the eyes of the golem open, it is alive!",
                      "Once again you can try to create a magical lifeform.");affects[a.name]=a

a=Affect("guardian call", fcolor(GREEN,bold=1)+"(Gua)"+CLR,
                      "guardian call",
                      "A guardian now follows you.",
                      "Once again you feel the ability to control a guardian.");affects[a.name]=a

a=Affect("honour guard", fcolor(GREEN,bold=1)+"(HGu)"+CLR,
                      "honour guard",
                      "An honourguard now follows you.",
                      "Once again you can call upon your forces.");affects[a.name]=a

a=Affect("raise dead", fcolor(GREEN,bold=1)+"(RDe)"+CLR,
                      "raise dead",
                      ".* approaches you, ready to obey your orders.",
                      "You feel your powers over undead return.");affects[a.name]=a

a=Affect("animate dead", fcolor(GREEN,bold=1)+"(ADe)"+CLR,
                      "animate dead",
                      ".* slowly stands up...",
                      "You feel your powers over zombies return.");affects[a.name]=a

a=Affect("tongue rot", fcolor(GREEN,bold=1)+">TRo<"+CLR,
                      "tongue rot",
                      "Your face feels hot and feverish!",
                      "The burn in your infected mouth diminishes.");affects[a.name]=a

a=Affect("leprocy", fcolor(GREEN,bold=1)+">Lep<"+CLR,
                      "leprocy",
                      "You feel the bacteria working on your flesh.",
                      "Your limbs turn to a healthier color once more.");affects[a.name]=a

a=Affect("rabies", fcolor(GREEN,bold=1)+">Rab<"+CLR,
                      "rabies",
                      "You feel so angry! Everyone is your enemy!",
                      "What happened to your mind? You turn back to the person you are.");affects[a.name]=a

a=Affect("deafen", fcolor(GREEN,bold=1)+">DEA<"+CLR,
                      "deafen",
                      "Someone has taken away your hearing.",
                      "You can hear again.");affects[a.name]=a

a=Affect("pneumonia", fcolor(GREEN,bold=1)+">PNE<"+CLR,
                      "pneumonia",
                      "Breathing becomes difficult for you.",
                      "You inhale deeply as the infection dies.");affects[a.name]=a

a=Affect("plague", fcolor(GREEN,bold=1)+">PLA<"+CLR,
                      "plague",
                      "You feel an infection burning into your flesh.",
                      "The feeling of sickness leaves your body.");affects[a.name]=a

a=Affect("flame", fcolor(GREEN,bold=1)+"*FLM*"+CLR,
                      "flame",
                      ".* flame sears your flesh.",
                      "Your limbs recover from the torched wounds.");affects[a.name]=a

a=Affect("ice", fcolor(GREEN,bold=1)+"*ICE*"+CLR,
                      "ice",
                      "The cold touch of .* surrounds you with ice.",
                      "Your limbs regain their normal warmth.");affects[a.name]=a

a=Affect("crushed bones", fcolor(GREEN,bold=1)+"*CrB*"+CLR,
                      "crushed bones",
                      ".* shatters your bones.",
                      "Your bones regain their stability.");affects[a.name]=a

a=Affect("stunned", fcolor(GREEN,bold=1)+"*Stu*"+CLR,
                      "stunned",
                      "The weapon's connect shakes your body.",
                      "You shake of the effect.");affects[a.name]=a

a=Affect("deep gush", fcolor(GREEN,bold=1)+"*DGu*"+CLR,
                      "deep gush",
                      ".* leaves a deep gush.",
                      "The gush closes, leaving a scar on your skin.");affects[a.name]=a

a=Affect("blind", fcolor(GREEN,bold=1)+"*Bli*"+CLR,
                      "blind",
                      "You are blinded by your own blood.",
                      "Finally you can see again.");affects[a.name]=a

a=Affect("dirt kick", fcolor(GREEN,bold=1)+"*DKi*"+CLR,
                      "dirt kick",
                      ".* kicks dirt in your eyes.",
                      "You can see again.");affects[a.name]=a

a=Affect("sunfires", fcolor(GREEN,bold=1)+"*Sun*"+CLR,
                      "sunfires",
                      "#Sunfire circles through your head.",
                      "The immense sunfire vanishes...");affects[a.name]=a

a=Affect("unbalance", fcolor(GREEN,bold=1)+"*UNB*"+CLR,
                      "unbalance",
                      "You feel unsure, insecure and destabalized.",
                      "Suddenly your secure movement returns...");affects[a.name]=a

a=Affect("disbalanced", fcolor(GREEN,bold=1)+"*DIS*"+CLR,
                      "disbalanced",
                      "You can barely stand on your feet.",
                      "You stand securely again.");affects[a.name]=a

a=Affect("impaled", fcolor(GREEN,bold=1)+"*IMP*"+CLR,
                      "impaled",
                      ".* glides through your flesh.",
                      "Free movement returns to you.");affects[a.name]=a

a=Affect("pierced", fcolor(GREEN,bold=1)+"*PIE*"+CLR,
                      "pierced",
                      "An arrow penetrates a weak spot in your armor.",
                      "Finally that arrow is gone.");affects[a.name]=a

a=Affect("entangled", fcolor(GREEN,bold=1)+"*ENT*"+CLR,
                      "entangled",
                      "The whip has got a grip on your body.",
                      "You have freed yourself of the whip's affects.");affects[a.name]=a

a=Affect("doomed", fcolor(GREEN,bold=1)+"*DOO*"+CLR,
                      "doomed",
                      "A layer of blackness clouds your vision for a second.",
                      "The feeling of doom leaves your body.");affects[a.name]=a

a=Affect("drawning memories", fcolor(GREEN,bold=1)+"*DMe*"+CLR,
                      "drawning memories",
                      "Some bad memories come up...",
                      "No longer does the past hunt you...");affects[a.name]=a

a=Affect("friendslayer", fcolor(GREEN,bold=1)+"*FSl*"+CLR,
                      "friendslayer",
                      "People look at you disgustedly.",
                      "Something came to your mind, just for a second...");affects[a.name]=a

a=Affect("panic", fcolor(GREEN,bold=1)+"*Pan*"+CLR,
                      "panic",
                      "All of a sudden an unearthly fear overcomes you.",
                      "You feel more confident as the nameless horror passes on.");affects[a.name]=a

a=Affect("quest restriction", fcolor(GREEN,bold=1)+"*QuR*"+CLR,
                      "quest restriction",
                      "You solved your quest.",
                      "You feel ready for a new quest.");affects[a.name]=a

a=Affect("curse", fcolor(GREEN,bold=1)+"*CUR*"+CLR,
                      "curse",
                      "An eerie feeling overcomes you.",
                      "The feeling of damnation leaves your body.");affects[a.name]=a

#racial abilities
a=Affect("earthdraw", fcolor(WHITE,bold=1)+"[EDr]"+CLR,
                      "earthdraw",
                      "You gain health from mother earth.",
                      "You lose your link to your mother.");affects[a.name]=a

a=Affect("stoneshift", fcolor(WHITE,bold=1)+"[StS]"+CLR,
                      "stoneshift",
                      "You turn into true stone.",
                      "You lose the consistancy of stone.");affects[a.name]=a

a=Affect("shiftstone", fcolor(WHITE,bold=1)+"[StS]"+CLR,
                       "shiftstone",
                       "You turn into true stone.",
                       "You lose the consistancy of stone.");affects[a.name]=a


a=Affect("left fireeye", fcolor(WHITE,bold=1)+"[lFE]"+CLR,
                      "left fireeye",
                      "Your left eye burns with the inner strength of fire!",
                      "The gleam of fire leaves your eyes.");affects[a.name]=a

a=Affect("right fireeye", fcolor(WHITE,bold=1)+"[rFE]"+CLR,
                      "right fireeye",
                      "Your right eye burns with the inner strength of fire!",
                      "No longer can you see through shadows.");affects[a.name]=a

a=Affect("sunshield", fcolor(WHITE,bold=1)+"[SSh]"+CLR,
                      "sunshield",
                      "You expand your aura of fire!",
                      "The fires shrink back to their original size.");affects[a.name]=a

a=Affect("transform", fcolor(WHITE,bold=1)+"[Tra]"+CLR,
                      "transform",
                      "You transform into .*",
                      "You return to your mundane form.");affects[a.name]=a



# clerical spellups
a=Affect("bless",fcolor(YELLOW,bold=0)+"[BLE]"+CLR,
                      r"bless",
                      r".*(You have been blessed).*",
                      r"Your godly blessing has passed.",
                      "You feel the godly powers withdrawing.");affects[a.name]=a

a=Affect("armor",fcolor(YELLOW,bold=0)+"[ARM]"+CLR,
                      "armor",
                      r".*feel something protecting.*",
                      r".*You feel less armored.*",
                      "Your armor flickers for a second.");affects[a.name]=a

a=Affect("holy strength", fcolor(YELLOW,bold=0)+"[STR]"+CLR,
                      "holy strength",
                      "Your muscles shimmer with a holy glow.",
                      "Your muscles return to their original size.",
                      "Your muscles start feeling weaker.");affects[a.name]=a

a=Affect("protection good", fcolor(YELLOW,bold=0)+"[PGd]"+CLR,
                      "protection good",
                      "An aura of absolute evil surrounds you.",
                      "The evil around you vanishes");affects[a.name]=a

a=Affect("protection evil", fcolor(YELLOW,bold=0)+"[PEv]"+CLR,
                      "protection evil",
                      "An aura of absolute good surrounds you.",
                      "The good around you vanishes",
		      "The aura of good faints.");affects[a.name]=a

a=Affect("sanctuary", fcolor(YELLOW,bold=0)+"[SAN]"+CLR,
                      "sanctuary",
                      "You are surrounded by a white aura.",
                      "The white aura around your body fades.",
                      "Your sanctuary starts loosing substance.");affects[a.name]=a

a=Affect("holy aura", fcolor(YELLOW,bold=0)+"[HAu]"+CLR,
                      "holy aura",
                      "Your god grants you power according to your belief.",
                      "The aura of your deitie's power vanishes.",
                      "The aura of your deity mingles.");affects[a.name]=a

a=Affect("detect curse", fcolor(YELLOW,bold=0)+"[DCu]"+CLR,
                      "detect curse",
                      "An aura engulfs all cursed things.",
                      "You are no longer able to detect curses.");affects[a.name]=a

a=Affect("resistance disease", fcolor(YELLOW,bold=0)+"[RDi]"+CLR,
                      "resistance disease",
                      "Your bodily health stabilizes and increases.",
                      "You feel your increased health return to normal.",
		      "Your nose starts running. Careful, you might catch a cold.");affects[a.name]=a

a=Affect("resistance poison", fcolor(YELLOW,bold=0)+"[RPo]"+CLR,
                      "resistance poison",
                      "Your blood feels freed from toxic substances.",
                      "Again your blood fills with the normal toxines.");affects[a.name]=a

a=Affect("starsight", fcolor(YELLOW,bold=0)+"[SSi]"+CLR,
                      "starsight",
                      "The mingling light of the stars fills your eyes.",
                      "The starlights' clarity leaves your eyes.",
		      "The light of the stars in waning.");affects[a.name]=a

a=Affect("protection maladies", fcolor(YELLOW,bold=0)+"[PMa]"+CLR,
                      "protection maladies",
                      "A ward against evil effects surrounds you.",
                      "The ward against ill and sick takes off.");affects[a.name]=a

a=Affect("call angel", fcolor(YELLOW,bold=0)+"[ANG]"+CLR,
                      "call angel",
                      "An angel wraps his protecting wings around you.",
                      "The bright light finally fades away...");affects[a.name]=a

a=Affect("detect undead", fcolor(YELLOW,bold=0)+"[DUn]"+CLR,
                      "detect undead",
                      "You shiver as the cold of undeath visualizes before your eyes.",
                      "You lose the sense of detecting Unlife.");affects[a.name]=a

a=Affect("morrns slumber", fcolor(YELLOW,bold=0)+"[MSl]"+CLR,
                      "dreams of regeneration",
                      "For a second you have the feeling of encountering a daydream.",
                      "You used up all the power over the dreamlands..");affects[a.name]=a

a=Affect("resistance darnknesss", fcolor(YELLOW,bold=0)+"[RDa]"+CLR,
                      "resistance darkness",
                      "A bright light surrounds you as your body is filled with holy powers .*",
                      "The bright light diminishes.");affects[a.name]=a

a=Affect("heat resistance", fcolor(YELLOW,bold=0)+"[HeR]"+CLR,
                      "heat resistance",
                      "A reddish light surrounds you as your body is filled with magical .*",
                      "The reddish light diminishes.");affects[a.name]=a

a=Affect("dance of fire", fcolor(YELLOW,bold=0)+"[DoF]"+CLR,
                      "dance of fire",
                      "Calling upon the power of Shorkam, fiery sparks begin to surround you.",
                      "The sparks slowly float to the ground and vanish.");affects[a.name]=a

a=Affect("aura of doom", fcolor(YELLOW,bold=0)+"[ADo]"+CLR,
                      "aura of doom",
                      "An aura of doom builds up around you.",
                      "Your aura of doom vanishes.");affects[a.name]=a

a=Affect("aura of fear", fcolor(YELLOW,bold=0)+"[AFe]"+CLR,
                      "aura of fear",
                      "An aura of fear builds up around you.",
                      "Your aura of fear vanishes.");affects[a.name]=a

a=Affect("aura of death", fcolor(YELLOW,bold=0)+"[ADe]"+CLR,
                      "aura of death",
                      "An aura of death builds up around you.",
                      "Your aura of death vanishes.");affects[a.name]=a

a=Affect("globe of absorption", fcolor(YELLOW,bold=0)+"[GoA]"+CLR,
                      "globe of absorption",
                      "A globe of absorption builds up around you.",
                      "Your globe of absorption fades.");affects[a.name]=a


a=Affect("balance", fcolor(YELLOW,bold=0)+"[Bal]"+CLR,
                      "balance",
                      "You feel more stable and able to resist hard blows.",
                      "You feel your stability vanish.",
		      "Your stability lessens.");affects[a.name]=a

a=Affect("nights protection", fcolor(YELLOW,bold=0)+"[NiP]"+CLR,
                      "nights protection",
                      "You are protected by the forces of darkness.",
                      "Darkness no longer protects you.");affects[a.name]=a

a=Affect("shadow", fcolor(YELLOW,bold=0)+"[Sha]"+CLR,
                      "shadow",
                      "You turn to the shades.",
                      "You are no longer one of the shadows.");affects[a.name]=a

	
# mage spellups

a=Affect("chill touch", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"CTo"+fcolor(WHITE,bold=1)+")"+CLR,
                      "chill touch",
                      "Small icecrystals condense on your hands.",
                      "Your hands regain their normal temperature.");affects[a.name]=a

a=Affect("burning hands", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"BHa"+fcolor(WHITE,bold=1)+")"+CLR,
                      "burning hands",
                      "A burning aura surrounds your hands.",
                      "The flaming aura on your hands extinguishes.");affects[a.name]=a

a=Affect("detect invis", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"DIn"+fcolor(WHITE,bold=1)+")"+CLR,
                      "detect invis",
                      "Your eyes are enhanced by magical powers to see invis.",
                      "The power of detecting invisible wears off.",
                      "You feel the power of detecting invisible fading.");affects[a.name]=a

a=Affect("detect magic", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"DMa"+fcolor(WHITE,bold=1)+")"+CLR,
                      r"detect magic",
                      r"An aura of detection engulfs all magical things in a.*",
                      r"You can no longer differentiate magical from mundane objects.",
		      r"Your sense for magical auras starts to lessen.");affects[a.name]=a

a=Affect("detect hidden", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"DHi"+fcolor(WHITE,bold=1)+")"+CLR,
                      "detect hidden",
                      "Powers, detecting the dark and hidden surround you.",
                      "Hidden objects are no longer revealed to you.",
		      "Darkness and shadows cloak themselves again.");affects[a.name]=a

a=Affect("fly", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"Fly"+fcolor(WHITE,bold=1)+")"+CLR,
                      r"fly",
                      r"Your feet rise off the ground.",
                      r"You slowly float to the ground.");affects[a.name]=a

a=Affect("protection elements", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"PEl"+fcolor(WHITE,bold=1)+")"+CLR,
                      r"protection elements",
                      r"Four shield, red, blue, brown and white come into existance.",
                      r"The shields of the elements fade away.");affects[a.name]=a

a=Affect("blur", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"Blr"+fcolor(WHITE,bold=1)+")"+CLR,
                      r"blur",
                      r"Magic creates a blurring visage of your body.",
                      r"The blurring affect subsides.");affects[a.name]=a

a=Affect("haste", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"HST"+fcolor(WHITE,bold=1)+")"+CLR,
                      "haste",
                      "Your body is hasted by the magic.",
                      "The power of time regains control over your hasted body.",
		      "The world around you seems to slow a little.");affects[a.name]=a

a=Affect("giant strength", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"STR"+fcolor(WHITE,bold=1)+")"+CLR,
                      "giant strength",
                      ".*Your muscles bulge.*",
                      "Your muscles return to their normal size.",
		      "Burdens start to grow heavy again.");affects[a.name]=a

a=Affect("projected light", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"PLi"+fcolor(WHITE,bold=1)+")"+CLR,
                      "light",
                      "Light emenates from your fingertips.",
                      "The light subsides again.");affects[a.name]=a

a=Affect("levitation", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"Lev"+fcolor(WHITE,bold=1)+")"+CLR,
                      "levitation",
                      "The gravitation around you ceases in existence.",
                      "You slowly sink to the ground.");affects[a.name]=a

a=Affect("forceshield", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"FSh"+fcolor(WHITE,bold=1)+")"+CLR,
                      "forceshield",
                      "A shieldlike protection builds up around you.",
                      "Slowly your magical shield fades away.",
		      "Your forceshield is flickering.");affects[a.name]=a

a=Affect("shield", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"FSh"+fcolor(WHITE,bold=1)+")"+CLR,
                      "shield",
                      "A magical force shield surrounds you.",
                      "Slowly your magical force shield fades away.",
		      "Your forceshield is flickering.");affects[a.name]=a

a=Affect("empowerment", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"Emp"+fcolor(WHITE,bold=1)+")"+CLR,
                      "empowerment",
                      "Your pose erects as you fuse your magic into your body.",
                      "Your pose becomes less vigorous.",
		      "You feel your body sag.");affects[a.name]=a

a=Affect("underwater breathing", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"UBr"+fcolor(WHITE,bold=1)+")"+CLR,
                      "underwaterbreathing",
                      "You inhale sharply.",
                      "Your lungs cannot handle water anymore.");affects[a.name]=a

a=Affect("protection magic", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"PMa"+fcolor(WHITE,bold=1)+")"+CLR,
                      "protection magic",
                      "A white light surrounds you with a portion of antimagic.",
                      "The shell of antimagic falls apart again.");affects[a.name]=a

a=Affect("counterspell", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"COU"+fcolor(WHITE,bold=1)+")"+CLR,
                      "counterspell",
                      "Around you a certain sphere of antimagic appears and suddenly is gone again - at least for the moment...",
                      "All magic energy is sucked into the antimagical vortex...");affects[a.name]=a

a=Affect("acute vision", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"AVi"+fcolor(WHITE,bold=1)+")"+CLR,
                      "acute vision",
                      "All of a sudden you see things not noticed before.",
                      "You no longer are aware of nature.s surroundings.",
		      "Oops, you almost stepped on something. You should concentrate better on your surroundings.");affects[a.name]=a

a=Affect("stone skin", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"SSk"+fcolor(WHITE,bold=1)+")"+CLR,
                      "stoneskin",
                      "You feel your skin harden.",
                      "Rock peels off your skin.");affects[a.name]=a

a=Affect("globe of protection", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"GPr"+fcolor(WHITE,bold=1)+")"+CLR,
                      "globe of protection",
                      "A globe of immense powers builds up around you.",
                      "A globe of protection blinks and fades away.",
		      "Your protective globe flickers briefly");affects[a.name]=a

a=Affect("blink", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"Bli"+fcolor(WHITE,bold=1)+")"+CLR,
                      "blink",
                      "Magical energies displace you in time and space.",
                      "You return into the dimension of the Ages.");affects[a.name]=a

a=Affect("acid resistance", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"ARe"+fcolor(WHITE,bold=1)+")"+CLR,
                      "acid resistance",
                      "Surrounding you with a green glow, your magic protects you from acid.",
                      "A greenish light diminishes.");affects[a.name]=a

a=Affect("invis", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"INV"+fcolor(WHITE,bold=1)+")"+CLR,
                      "invis",
                      "You fade out of existence.",
                      "You are no longer invisible.",
		      "Your invisibility dwindles.");affects[a.name]=a

a=Affect("globe of power", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"GPo"+fcolor(WHITE,bold=1)+")"+CLR,
                      "globe of power",
                      "A bright globe extends around you.",
                      "The globe around you shrinks and finally fades away...",
		      "The globe around you starts to fades away.");affects[a.name]=a

a=Affect("speed", fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"SPE"+fcolor(WHITE,bold=1)+")"+CLR,
                      "speed",
                      "You move as fast as lightning.",
                      "You slow down.");affects[a.name]=a


# warrior abilities
a=Affect("warcry", fcolor(RED)+"{"+CLR+fcolor(RED,bold=1)+"WAR"+CLR+fcolor(RED)+"}"+CLR,
                      "warcry",
                      "The gods of war turn their blessings upon you.",
                      "The echoes of your warcry fade.");affects[a.name]=a

a=Affect("inner peace", fcolor(RED)+"{"+CLR+fcolor(RED,bold=1)+"IPe"+CLR+fcolor(RED)+"}"+CLR,
                      "inner peace",
                      "You start meditating.",
                      "Your inner peace is lost.");affects[a.name]=a

a=Affect("combat spirit", fcolor(RED)+"{"+CLR+fcolor(RED,bold=1)+"IPe"+CLR+fcolor(RED)+"}"+CLR,
                      "inner peace",
                      "You feel the spirit of combat in you.",
                      "Your inner peace is lost.");affects[a.name]=a

a=Affect("tiger", fcolor(RED)+"{"+CLR+fcolor(RED,bold=1)+"Tig"+CLR+fcolor(RED)+"}"+CLR,
                      "tiger",
                      "You concentrate on the stroke.",
                      "You no longer concentrate on the stroke.");affects[a.name]=a

a=Affect("butterfly", fcolor(RED)+"{"+CLR+fcolor(RED,bold=1)+"But"+CLR+fcolor(RED)+"}"+CLR,
                      "butterfly",
                      "You concentrate on your ability to attack.",
                      "You no longer concentrate on your ability to attack.");affects[a.name]=a

a=Affect("iron skin", fcolor(RED)+"{"+CLR+fcolor(RED,bold=1)+"IrS"+CLR+fcolor(RED)+"}"+CLR,
                      "iron skin",
                      "You ignore the pain dealt to you.",
                      "You no longer ignore the pain.");affects[a.name]=a

a=Affect("guarding ", fcolor(RED)+"{"+fcolor(RED,bold=1)+"GUA"+CLR+fcolor(RED)+"}"+CLR,
                      "guarding ",
                      "You guard .*",
                      "You care for your health only.");affects[a.name]=a

a=Affect("guarded", fcolor(CYAN)+"["+fcolor(CYAN,bold=1)+"Gua"+CLR+fcolor(CYAN)+"]"+CLR,
                      "guarded",
                      "You are guarded by .*",
                      "You are no longer guarded.");affects[a.name]=a

a=Affect("combat tactics", fcolor(RED)+"{"+fcolor(RED,bold=1)+"COM"+CLR+fcolor(RED)+"}"+CLR,
                      "combat tactics",
                      "You shout out orders to your group!",
                      "You return to your normal combat stand.");affects[a.name]=a

a=Affect("shield wall", fcolor(RED)+"{"+fcolor(RED,bold=1)+"ShW"+CLR+fcolor(RED)+"}"+CLR,
                      "shieldwall",
                      "You order your group to stand closer!",
                      "You return to your normal combat stand.");affects[a.name]=a

a=Affect("swarm", fcolor(RED)+"{"+fcolor(RED,bold=1)+"SWa"+CLR+fcolor(RED)+"}"+CLR,
                      "swarming",
                      "You order your group to prepare for swarm tactics!",
                      "You return to your normal combat stand.");affects[a.name]=a

a=Affect("riposte", fcolor(RED)+"{"+fcolor(RED,bold=1)+"RPo"+CLR+fcolor(RED)+"}"+CLR,
                      "riposte",
                      "You concentrate on countering your opponent!",
                      "You return to your normal combat stand.");affects[a.name]=a

a=Affect("berserk", fcolor(RED)+"{"+fcolor(RED,bold=1)+"BER"+CLR+fcolor(RED)+"}"+CLR,
                      "berserk",
                      "You turn into a true berserker!",
                      "You calm down again.");affects[a.name]=a

a=Affect("rage", fcolor(RED)+"{"+fcolor(RED,bold=1)+"RAG"+CLR+fcolor(RED)+"}"+CLR,
                      "rage",
                      "Your rage increases near to madness! ARGL, DIE!!!",
                      "Confused and exhausted you slowly calm down.");affects[a.name]=a

a=Affect("frenzy", fcolor(RED)+"{"+fcolor(RED,bold=1)+"FRE"+CLR+fcolor(RED)+"}"+CLR,
                      "frenzy",
                      "You are shivering in ecstatic frenzy...",
                      "You feel calm again.");affects[a.name]=a

a=Affect("strengthen", fcolor(RED)+"{"+fcolor(RED,bold=1)+"Str"+CLR+fcolor(RED)+"}"+CLR,
                      "strengthen",
                      "You flex your muscles!",
                      "You feel less prepared.");affects[a.name]=a

a=Affect("iron body", fcolor(RED)+"{"+fcolor(RED,bold=1)+"IBY"+CLR+fcolor(RED)+"}"+CLR,
                      "iron body",
                      "The iron skin slows you down!",
                      "Your flesh becomes less endurable.");affects[a.name]=a


# ranger stuff
a=Affect("camouflage", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"CMF"+CLR+fcolor(GREEN)+")"+CLR,
                      "camouflage",
                      "You are one with the nature.|You successfully blend with the nature.",
                      "You step out of the weeds.");affects[a.name]=a

a=Affect("bark skin", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"BSk"+CLR+fcolor(GREEN)+")"+CLR,
                      "bark skin",
                      "Your skin gains a layer of hard bark.",
                      "The bark layer falls off your skin.");affects[a.name]=a

a=Affect("eagle sight", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"ESi"+CLR+fcolor(GREEN)+")"+CLR,
                      "eagle sight",
                      "You concentrate on looking for the not so obvious.",
                      "You let your eyes return into their normal position.");affects[a.name]=a


a=Affect("long eye", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"LEy"+CLR+fcolor(GREEN)+")"+CLR,
                      "long eye",
                      "Your vision sharpens.",
                      "Your vision blurs.");affects[a.name]=a

a=Affect("night vision", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"NVi"+CLR+fcolor(GREEN)+")"+CLR,
                      "night vision",
                      "You suddenly feel able to see in the night.",
                      "Your nightly vision vanishes.");affects[a.name]=a

a=Affect("waterwalking", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"WWa"+CLR+fcolor(GREEN)+")"+CLR,
                      "waterwalking",
                      "You feel as if you could walk on water now.",
                      "No longer you can walk on water.");affects[a.name]=a

a=Affect("robe of nature", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"RoN"+CLR+fcolor(GREEN)+")"+CLR,
                      "robe of nature",
                      "A ward against natural dangers surrounds you.",
                      "Your ward against nature is gone.");affects[a.name]=a

a=Affect("awareness", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"Awa"+CLR+fcolor(GREEN)+")"+CLR,
                      "awareness",
                      "You pay more attention to the surroundings.",
                      "You feel less observant.");affects[a.name]=a

a=Affect("vanishing path", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"VPa"+CLR+fcolor(GREEN)+")"+CLR,
                      "vanishing path",
                      "Your steps leave no prints on the ground anymore.",
                      "Your trail returns to visibility again.");affects[a.name]=a

a=Affect("loudless", fcolor(GREEN)+"("+fcolor(GREEN,bold=1)+"LOU"+CLR+fcolor(GREEN)+")"+CLR,
                      "loudless",
                      "You move more silent.",
                      "You move louder now.");affects[a.name]=a

a=Affect("call wolf", fcolor(RED)+"["+"WOL"+CLR+fcolor(RED)+"]"+CLR,
                      "call wolf",
                      "Without you noticing him a strong wolf has made its way to your side",
                      "Once again your senses tell you where the pack resides");affects[a.name]=a

#rogue stuff
a=Affect("hide", fcolor(WHITE)+"["+fcolor(WHITE,bold=1)+"HDE"+CLR+fcolor(WHITE)+"]"+CLR,
                      "hide",
                      "You successfully blend with the shadows.",
                      "You step out of the shadows.");affects[a.name]=a

a=Affect("stalk", fcolor(WHITE)+"["+fcolor(WHITE,bold=1)+"STK"+CLR+fcolor(WHITE)+"]"+CLR,
                      "stalk",
                      "You begin to stalk your prey.",
                      "Your steps are heard again.");affects[a.name]=a

a=Affect("sneak", fcolor(WHITE)+"["+fcolor(WHITE,bold=1)+"SNK"+CLR+fcolor(WHITE)+"]"+CLR,
                      "sneak",
                      "The sound of your moves blends with the sounds of the city.",
                      "You walk with normal loudness again.");affects[a.name]=a

a=Affect("seekhidden", fcolor(WHITE)+"["+fcolor(WHITE,bold=1)+"SHd"+CLR+fcolor(WHITE)+"]"+CLR,
                      "seek hidden",
                      "You concentrate on finding the hidden.",
                      "You stop concentrating on your search for the hidden.");affects[a.name]=a

a=Affect("seekinvis", fcolor(WHITE)+"["+fcolor(WHITE,bold=1)+"SIn"+CLR+fcolor(WHITE)+"]"+CLR,
                      "seek invis",
                      "You concentrate on finding the invisible.",
                      "You stop concentrating your search for the invisible.");affects[a.name]=a

a=Affect("trickery", fcolor(WHITE)+"["+fcolor(WHITE,bold=1)+"Tri"+CLR+fcolor(WHITE)+"]"+CLR,
                      "trickery",
                      "With your immense wits you design plans of deception!",
                      "You feel dull and unconcentrated...");affects[a.name]=a

# necromancer-addon

a=Affect("vampiric strike", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"VAM"+fcolor(RED,bold=1)+">"+CLR,
                      "vampiric strike",
                      "The dreaded cold of unlife creeps up your arms.",
                      "Your hands lose the power to drain life.");affects[a.name]=a

a=Affect("leeching strike", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"LEE"+fcolor(RED,bold=1)+">"+CLR,
                      "leeching strike",
                      "Your arms glow in the bluish light of the Leech!",
                      "Your hands lose the power to drain mana.");affects[a.name]=a

a=Affect("bloodtouch", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"BLT"+fcolor(RED,bold=1)+">"+CLR,
                      "bloodtouch",
                      "The fire of blood creeps up your arms.",
                      "Your hands lose the power to cause bleedings.");affects[a.name]=a

a=Affect("death ritual", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"DeR"+fcolor(RED,bold=1)+">"+CLR,
                      "death ritual",
                      "You have prepared the death ritual!",
                      "The death ritual has been concluded!");affects[a.name]=a

a=Affect("absorbtion ritual", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"AbR"+fcolor(RED,bold=1)+">"+CLR,
                      "absorbtion ritual",
                      "You have prepared the ritual of absorbtion!",
                      "The ritual of absorbtion has been concluded!");affects[a.name]=a

a=Affect("cold resistance", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"CRe"+fcolor(RED,bold=1)+">"+CLR,
                      "cold resistance",
                      "A bluish aura surrounds you as you are filled with the magic of cold protection.",
                      "The bluish light diminishes.");affects[a.name]=a

a=Affect("mana shield", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"MAN"+fcolor(RED,bold=1)+">"+CLR,
                      "mana shield",
                      "A blue aura of magical power surrounds you.",
                      "Your mana shield ceases in existence.",
		      "Your mana shield flickers.");affects[a.name]=a

a=Affect("wraithform", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"WRA"+fcolor(RED,bold=1)+">"+CLR,
                      "wraithform",
                      "You become one with death.",
                      "You are no longer in a dark form.");affects[a.name]=a

a=Affect("control undead", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"CUD"+fcolor(RED,bold=1)+">"+CLR,
                      "control undead",
                      "Your control over the unnatural undead increases.",
                      "Your control of unlife ceases.");affects[a.name]=a

a=Affect("combat formation", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"GUA"+fcolor(RED,bold=1)+">"+CLR,
                      "guarded",
                      "You command .* to move closer and guard you.",
                      "The formation breaks apart.");affects[a.name]=a

a=Affect("lich", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"Lic"+fcolor(RED,bold=1)+">"+CLR,
                      "lich",
                      "You sacrifice your life to become an undead!",
                      "Your undead form perishes in existence, you are alive again.");affects[a.name]=a

a=Affect("forming", fcolor(RED,bold=1)+"<"+fcolor(WHITE)+"For"+fcolor(RED,bold=1)+">"+CLR,
                      "forming",
                      "The world is loosing some of its substance!",
                      "The world seems to gain substance again.");affects[a.name]=a

# clan stuff
a=Affect("aura of redemption", fcolor(CYAN)+"["+fcolor(RED)+"ARd"+fcolor(CYAN)+"]"+CLR,
                      "redemption",
                      "You are surrounded by the holy fires of Redemption.",
                      "The flaming aura cease in existence");affects[a.name]=a

a=Affect("aura of glass", fcolor(CYAN)+"["+CLR+fcolor(RED)+"AGl"+fcolor(CYAN)+"]"+CLR,
                      "glass",
                      "You are surrounded by glass.",
                      "The glass splitters off your body.");affects[a.name]=a

a=Affect("robe of darkness",fcolor(CYAN)+"["+CLR+fcolor(RED)+"RoD"+fcolor(CYAN)+"]"+CLR,
                      "robe of darkness",
                      "Summoning the dark powers of Kulthis, you ask for his protection against scrying magiks.",
                      "You feel the dark powers of Kulthis withdrawing, leaving you vulnerable to scrying magiks again.");affects[a.name]=a

a=Affect("cloak of protection", fcolor(CYAN)+"["+fcolor(RED)+"CoP"+fcolor(CYAN)+"]"+CLR,
                      "cloak of protection",
                      "You feel a protective cloak embrace you.",
                      "The protective cloak fades away");affects[a.name]=a

a=Affect("moonsight", fcolor(CYAN)+"["+fcolor(RED)+"MSi"+fcolor(CYAN)+"]"+CLR,
                      "moonsight",
                      "The light of the moon fills .* eyes.",
                      "The moonlights' clarity leaves .* eyes");affects[a.name]=a

a=Affect("moonbalm", fcolor(CYAN)+"["+fcolor(RED)+"MBa"+fcolor(CYAN)+"]"+CLR,
                      "moonbalm",
                      "On your bidding, a ray of moonlight shines on .*.",
                      "The light of the moon leaves .*");affects[a.name]=a

a=Affect("chaos armor", fcolor(CYAN)+"["+fcolor(RED)+"CAr"+fcolor(CYAN)+"]"+CLR,
                      "chaos armor",
                      "A protective aura of chaos builds up around you.",
                      "The aura of chaos vanishes");affects[a.name]=a

a=Affect("stability", fcolor(CYAN)+"["+fcolor(RED)+"Stb"+fcolor(CYAN)+"]"+CLR,
                      "stability",
                      "Your body becomes one with your mind.",
                      "You have lost your inner stability",
		      "Your inner stability mingles");affects[a.name]=a

a=Affect("pose", fcolor(CYAN)+"["+fcolor(RED)+"Pos"+fcolor(CYAN)+"]"+CLR,
                      "Pose",
                      "You let your armor shine in the .*",
                      "Suddenly you feel much less dominant.");affects[a.name]=a

a=Affect("lifeguard", fcolor(CYAN)+"["+fcolor(RED)+"LGu"+fcolor(CYAN)+"]"+CLR,
                      "lifeguard",
                      "You protect .* with your life",
                      "You won't risk your life for .* anymore!");affects[a.name]=a

a=Affect("call mount", fcolor(CYAN)+"["+fcolor(RED)+"CMo"+fcolor(CYAN)+"]"+CLR,
                      "call mount",
                      "You channel your concentration and as the power of the codex grows stronger you open the passage..",
                      "The forces of order have left!");affects[a.name]=a


a=Affect("shade", fcolor(CYAN)+"["+fcolor(RED)+"Shd"+fcolor(CYAN)+"]"+CLR,
                      "shade",
                      "You turn into a form of shadow.",
                      "You leave the dimension of shadows.");affects[a.name]=a

a=Affect("bladeturn",fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"BTu"+fcolor(WHITE,bold=1)+")"+CLR,   
         "bladeturn",
         "A shell of turning power surrounds you.",
         "Weaponry will harm you normally again.");affects[a.name]=a

a=Affect("spell deflection",fcolor(WHITE,bold=1)+"("+fcolor(MAGENTA)+"SDF"+fcolor(WHITE,bold=1)+")"+CLR,   
         "spell deflection",
         "A deflective shield builds up around you.",
         "The shell of antimagic falls apart again.");affects[a.name]=a


a=Affect("fury", fcolor(CYAN)+"["+fcolor(RED)+"Fur"+fcolor(CYAN)+"]"+CLR,
                       "fury",
                       "You are getting furious!!!",
                       "You feel less furious.");affects[a.name]=a

a=Affect("withstand", fcolor(CYAN)+"["+fcolor(RED)+"Wit"+fcolor(CYAN)+"]"+CLR,
                       "withstand",
                       "Your mind goes wandering as your flesh becomes stronger!",
                       "You lose your resistance to torment.");affects[a.name]=a

a=Affect("adrenalize", fcolor(CYAN)+"["+fcolor(RED)+"Adr"+fcolor(CYAN)+"]"+CLR,
                       "adrenaline",
                       "You sweat as adrenaline shoots through your veins!",
                       "You calm down as the adrenaline leaves your body.");affects[a.name]=a

a=Affect("last stand", fcolor(CYAN)+"["+fcolor(RED)+"LaS"+fcolor(CYAN)+"]"+CLR,
                       "last stand",
                       "You raise your fist.",
                       "You leave your post.");affects[a.name]=a

a=Affect("physical justice", fcolor(CYAN)+"["+fcolor(RED)+"PJu"+fcolor(CYAN)+"]"+CLR,
                      "physical justice",
                      "Your mind soul and body fill with the power of true justice.",
                      "The physical power of justice leaves your frame.");affects[a.name]=a

a=Affect("invisible justice", fcolor(CYAN)+"["+fcolor(RED)+"IJu"+fcolor(CYAN)+"]"+CLR,
         "invisible justice",
         "Your mind soul and body fill with the power of true justice.",
         "The purity of justice leaves your eyes.");affects[a.name]=a

a=Affect("thought justice", fcolor(CYAN)+"["+fcolor(RED)+"TJu"+fcolor(CYAN)+"]"+CLR,
         "thought justice",
         "Your mind soul and body fill with the power of true justice.",
         "The intensity of justice leaves your mind.");affects[a.name]=a


#godly gifts
a=Affect("godly bless", fcolor(CYAN)+"["+fcolor(YELLOW,bold=1)+"G"+fcolor(RED,bold=1)+"B"+fcolor(YELLOW,bold=1)+"l"+fcolor(CYAN)+"]"+CLR,
         "godly bless",
         "Some godly power has blessed thee.",
         "The experiences become less vivid again.");affects[a.name]=a

a=Affect("godly knowledge", fcolor(CYAN)+"["+fcolor(YELLOW,bold=1)+"G"+fcolor(RED,bold=1)+"K"+fcolor(YELLOW,bold=1)+"n"+fcolor(CYAN)+"]"+CLR,
         "godly knowledge",
         "The gods have granted you access to the books of order and chaos, the BEGINNING!",
         "The vision of the BEGINNING ends here.");affects[a.name]=a

a=Affect("godly protection", fcolor(CYAN)+"["+fcolor(YELLOW,bold=1)+"G"+fcolor(RED,bold=1)+"P"+fcolor(YELLOW,bold=1)+"r"+fcolor(CYAN)+"]"+CLR,
         "godly protection",
         "You have been KILLED!!",
         "You are no longer protected by the gods.");affects[a.name]=a

a=Affect("godly globe", fcolor(CYAN)+"["+fcolor(YELLOW,bold=1)+"G"+fcolor(RED,bold=1)+"G"+fcolor(YELLOW,bold=1)+"l"+fcolor(CYAN)+"]"+CLR,
         "godly globe",
         "You are protected by the gods!",
         "Your godly protection fades away.");affects[a.name]=a

a=Affect("birthday present", fcolor(CYAN)+"["+fcolor(YELLOW,bold=1)+"B"+fcolor(RED,bold=1)+"P"+fcolor(YELLOW,bold=1)+"r"+fcolor(CYAN)+"]"+CLR,
         "birthday present",
         "It's your birthday!",
         "Your birthday has passed by. *SNIFF*");affects[a.name]=a

